[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItem.InitiateActions

Updates Actions in child menu items.

## Declaration

Source position: menus.pp line 244

`protected procedure TMenuItem.InitiateActions;`

## Description

InitiateActions is a method used to update the actions for child menu items in the Items property. InitiateActions visits each of the TMenuItem instances in Items and calls its InitiateAction method. This allows the ActionLink in the menu item to call its Update method for the associated TBasicAction instance.

InitiateActions is called from the DoClicked method prior to executing the Click method for the menu item. It is called from the TMenu class when shortcut (accelerator) keys are handled for the menu. It is also called from the TPopupMenu.PopUp method when the menu is displayed.